Update participant by v key and value
Authorizations
HTTPRequired
Uses the Authorization header: 'AccessKey ' followed by your access key token
Path parameters
workspaceIdstring · uuidRequired
The unique identifier of the workspace.
conversationIdstring · uuidRequiredExample:
The conversation ID
67e4d358-ca94-421e-98b7-448860df9d33identifierKeystring · min: 1RequiredExample:
The identifier type of the channel, such as emailaddress or phonenumber
emailaddressidentifierValuestring · min: 1RequiredExample:
A value that uniquely identifies a recipient in the channel, such as an email address or a phone number
[email protected]Body
statusstring · enum · nullableOptionalPossible values:
Participant status in the conversation.
Responses
200
Participant was updated
application/json
avatarUrlstringOptional
conversationIdstring · uuidOptional
createdAtstring · date-timeOptional
displayNamestringOptional
idstringRequired
resourceUristringOptional
statusstring · enumOptionalPossible values:
typestring · enumRequiredPossible values:
updatedAtstring · date-timeOptional
404
The requested resource was not found.
application/json
409
The request conflicts with the current state of the resource.
application/json
422
The request contains invalid parameters or body fields.
application/json
patch
/workspaces/{workspaceId}/conversations/{conversationId}/participants/{identifierKey}/{identifierValue}Examples
curl -X PATCH "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversations/c9c60caa-eaf5-4628-9687-91de4d452bfa/participants/emailaddress/[email protected]" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
"status": "active"
}'{
"id": "3954d22c-96f7-4bc3-817b-67b4d903ed90",
"type": "contact",
"status": "active",
"displayName": "",
"avatarUrl": "",
"contact": {
"identifierKey": "emailaddress",
"identifierValue": "[email protected]",
"platformAddress": "[email protected]"
}
}Last updated
Was this helpful?

